Description: Override PREFIX only if not set.
 Debian-specific: remove suffix from libraries path, set $PREFIX to /usr.
 Strip -march=native out of CPPFLAGS and add fixed pkgconf installation.
Author: Jaromír Mikeš <mira.mikes@seznam.cz>
Author: Dennis Braun <d_braun@kabelmail.de>
Forwarded: no

--- a/source/Makefile
+++ b/source/Makefile
@@ -18,14 +18,14 @@
 # ----------------------------------------------------------------------------
 
 
-PREFIX ?= /usr/local
+PREFIX ?= /usr
 BINDIR ?= $(PREFIX)/bin
 SHARED ?= $(PREFIX)/share/zita-bls1
+PKG_CONF ?= pkgconf
 
 VERSION = 0.3.3
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
 CXXFLAGS += -O2 -Wall -ffast-math -pthread 
-CXXFLAGS += -march=native
 
 
 all:	zita-bls1
@@ -33,7 +33,7 @@
 
 ZITA-BLS1_O = zita-bls1.o styles.o jclient.o mainwin.o png2img.o guiclass.o rotary.o \
 	hp3filt.o lfshelf2.o shuffler.o
-zita-bls1:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
+zita-bls1:	CPPFLAGS += $(shell $(PKG_CONF) --cflags freetype2)
 zita-bls1:	LDLIBS += -lzita-convolver -lfftw3f -lclxclient -lclthreads -ljack \
 	-lcairo -lpthread -lpng -lXft -lX11 -lrt
 zita-bls1:	$(ZITA-BLS1_O)
